Fleet
Vehicles, positions, places, schedule, maintenance and documents.
Create a vehicle
https://api.drometra.com/v1/fleet/vehiclesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- labelmandatorystring
- externalReferencestring o null
Response · 201
- idstring · uuidalways
- tenantIdstring · uuidalways
- labelstringalways
- externalReferencestring o nullalways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
- object o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/vehicles" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"label": "…"
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"externalReference": "…",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z",
"latestPosition": {
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"eventId": "…",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sequence": 1,
"observedAt": "2026-10-21T14:02:31Z",
"receivedAt": "2026-10-21T14:02:31Z",
"latitude": 0,
"longitude": 0,
"accuracyMeters": 50000,
"speedMetersPerSecond": 500,
"headingDegrees": 0,
"ageSeconds": 0,
"quality": {
"reportedAccuracyMeters": 50000
}
}
}List vehicles
https://api.drometra.com/v1/fleet/vehiclesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Reference parameters
- limitinteger
- cursorstring
Response · 200
- array de objectalways
- watermarkintegeralways
- nextCursorstring o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/vehicles" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"items": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"externalReference": "…",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z",
"latestPosition": {
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"eventId": "…",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sequence": 1,
"observedAt": "2026-10-21T14:02:31Z",
"receivedAt": "2026-10-21T14:02:31Z",
"latitude": 0,
"longitude": 0,
"accuracyMeters": 50000,
"speedMetersPerSecond": 500,
"headingDegrees": 0,
"ageSeconds": 0,
"quality": {
"reportedAccuracyMeters": 50000
}
}
}
],
"watermark": 0,
"nextCursor": "…"
}Get live tracks
https://api.drometra.com/v1/fleet/live-tracksRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Reference parameters
- afterstring · uuid
- limitinteger
Response · 200
- array de objectalways
- nextAfterstring · uuid o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/live-tracks" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"items": [
{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"matched": {
"fromPositionId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"toPositionId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"geometry": {
"type": "LineString",
"coordinates": []
},
"confidence": 0.5,
"provenance": {
"kind": "valhalla",
"engine": "…",
"engineVersion": "…",
"graphVersion": "…",
"coverage": {},
"roadNetwork": true,
"method": "match"
}
}
}
],
"nextAfter": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d"
}Get a vehicle
https://api.drometra.com/v1/fleet/vehicles/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Response · 200
- idstring · uuidalways
- tenantIdstring · uuidalways
- labelstringalways
- externalReferencestring o nullalways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
- object o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"externalReference": "…",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z",
"latestPosition": {
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"eventId": "…",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sequence": 1,
"observedAt": "2026-10-21T14:02:31Z",
"receivedAt": "2026-10-21T14:02:31Z",
"latitude": 0,
"longitude": 0,
"accuracyMeters": 50000,
"speedMetersPerSecond": 500,
"headingDegrees": 0,
"ageSeconds": 0,
"quality": {
"reportedAccuracyMeters": 50000
}
}
}Update a vehicle
https://api.drometra.com/v1/fleet/vehicles/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- versionmandatoryinteger
- labelstring
- externalReferencestring o null
- activeboolean
Response · 200
- idstring · uuidalways
- tenantIdstring · uuidalways
- labelstringalways
- externalReferencestring o nullalways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
- object o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PATCH "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"version": 0
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"externalReference": "…",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z",
"latestPosition": {
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"eventId": "…",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sequence": 1,
"observedAt": "2026-10-21T14:02:31Z",
"receivedAt": "2026-10-21T14:02:31Z",
"latitude": 0,
"longitude": 0,
"accuracyMeters": 50000,
"speedMetersPerSecond": 500,
"headingDegrees": 0,
"ageSeconds": 0,
"quality": {
"reportedAccuracyMeters": 50000
}
}
}List a vehicle's positions
https://api.drometra.com/v1/fleet/vehicles/{id}/positionsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Reference parameters
- sourceIdstring · uuid
- fromstring · date-time
- tostring · date-time
- limitinteger
- cursorstring
Response · 200
- array de objectalways
- watermarkintegeralways
- nextCursorstring o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/positions" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"items": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"eventId": "…",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sequence": 1,
"observedAt": "2026-10-21T14:02:31Z",
"receivedAt": "2026-10-21T14:02:31Z",
"latitude": 0,
"longitude": 0,
"accuracyMeters": 50000,
"speedMetersPerSecond": 500,
"headingDegrees": 0
}
],
"watermark": 0,
"nextCursor": "…"
}Get a vehicle's day
https://api.drometra.com/v1/fleet/vehicles/{id}/days/{date}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
- datemandatorystring
Response · 200
- vehicleIdstring · uuidalways
- vehicleLabelstringalways
- datestringalways
- timeZonestringalways
- objectalways
- objectalways
- objectalways
- objectalways
- objectalways
- object o nullalways
- objectalways
- array de object o object o objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/days/<date>" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"vehicleLabel": "…",
"date": "…",
"timeZone": "…",
"window": {
"from": "2026-10-21T14:02:31Z",
"to": "2026-10-21T14:02:31Z"
},
"rules": {
"version": "…",
"maxAccuracyMeters": 0,
"maxJumpMetersPerSecond": 0,
"stopRadiusMeters": 0,
"minStopSeconds": 0,
"minTripMeters": 0,
"maxGapSeconds": 0,
"stillMetersPerSecond": 0,
"movingMetersPerSecond": 0
},
"source": {
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"positions": 0,
"otherSourcesPositions": 0,
"truncated": true,
"discarded": {
"accuracy": 0,
"jump": 0,
"duplicate": 0
}
},
"totals": {
"distanceMeters": 0,
"movingSeconds": 0,
"stoppedSeconds": 0,
"trips": 0,
"stops": 0,
"firstDepartureAt": "2026-10-21T14:02:31Z",
"lastArrivalAt": "2026-10-21T14:02:31Z",
"maxSpeedMetersPerSecond": 0
},
"deliveries": {
"total": 0,
"delivered": 0,
"failed": 0,
"pending": 0
},
"schedule": {
"hours": {
"start": "…",
"end": "…"
},
"rules": {
"version": "…",
"outside": "…",
"suggestion": "…"
}
},
"speeding": {
"limitKmh": 1,
"episodes": [
{
"startedAt": "2026-10-21T14:02:31Z",
"endedAt": "2026-10-21T14:02:31Z",
"seconds": 0,
"maxSpeedMetersPerSecond": 0
}
],
"rules": {
"version": "…",
"limit": "…"
}
},
"timeline": [
{
"kind": "stop",
"startedAt": "2026-10-21T14:02:31Z",
"endedAt": "2026-10-21T14:02:31Z",
"durationSeconds": 0,
"center": {
"latitude": 0,
"longitude": 0
},
"points": 1,
"place": {
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"distanceMeters": 0
},
"deliveries": [
{
"routeId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"stopId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"reference": "…",
"state": "pending",
"arrivedAt": "2026-10-21T14:02:31Z",
"outcomeAt": "2026-10-21T14:02:31Z",
"failureReason": "…",
"evidence": []
}
]
}
]
}Get a vehicle's month
https://api.drometra.com/v1/fleet/vehicles/{id}/months/{month}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
- monthmandatorystring
Response · 200
- vehicleIdstring · uuidalways
- vehicleLabelstringalways
- objectalways
- array de objectalways
- objectalways
- object o nullalways
- objectalways
- truncatedDaysintegeralways
- scheduledbooleanalways
- objectalways
- objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/months/<month>" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"vehicleLabel": "…",
"month": {
"month": "…",
"from": "…",
"to": "…",
"through": "…",
"partial": true,
"timeZone": "…"
},
"days": [
{
"date": "…",
"distanceMeters": 0,
"movingSeconds": 0,
"trips": 0,
"stops": 0,
"firstDepartureAt": "2026-10-21T14:02:31Z",
"lastArrivalAt": "2026-10-21T14:02:31Z",
"positions": 0,
"truncated": true,
"outsideHours": 0,
"speeding": 0
}
],
"totals": {
"distanceMeters": 0,
"movingSeconds": 0,
"trips": 0,
"activeDays": 0,
"elapsedDays": 0,
"outsideHours": 0,
"speeding": 0
},
"longest": {
"date": "…",
"distanceMeters": 0
},
"analyzed": {
"positions": 0,
"trips": 0,
"stops": 0,
"vehicles": 0
},
"truncatedDays": 0,
"scheduled": true,
"narrative": {
"text": "…",
"evidence": "…",
"source": "template"
},
"rules": {
"calendar": {
"version": "…",
"days": "…",
"marks": "…",
"longest": "…"
},
"trips": {
"version": "…",
"maxAccuracyMeters": 0,
"maxJumpMetersPerSecond": 0,
"stopRadiusMeters": 0,
"minStopSeconds": 0,
"minTripMeters": 0,
"maxGapSeconds": 0,
"stillMetersPerSecond": 0,
"movingMetersPerSecond": 0
},
"schedule": {
"version": "…",
"outside": "…",
"suggestion": "…"
},
"speed": {
"version": "…",
"limit": "…"
}
}
}Create a position source
https://api.drometra.com/v1/fleet/sourcesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- namemandatorystring
Response · 201
- idstring · uuidalways
- tenantIdstring · uuidalways
- namestringalways
- kindenum: synthetic | phonealways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/sources" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"name": "…"
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"kind": "synthetic",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}List position sources
https://api.drometra.com/v1/fleet/sourcesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- idstring · uuidalways
- tenantIdstring · uuidalways
- namestringalways
- kindenum: synthetic | phonealways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/sources" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"[
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"kind": "synthetic",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}
]Update a position source
https://api.drometra.com/v1/fleet/sources/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- versionmandatoryinteger
- namestring
- activeboolean
Response · 200
- idstring · uuidalways
- tenantIdstring · uuidalways
- namestringalways
- kindenum: synthetic | phonealways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PATCH "https://api.drometra.com/v1/fleet/sources/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"version": 0
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"tenantId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"kind": "synthetic",
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Send positions
https://api.drometra.com/v1/fleet/positionsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- sourceIdmandatorystring · uuid
- eventIdmandatorystring
- vehicleIdmandatorystring · uuid
- observedAtmandatorystring · date-time
- latitudemandatorynumber
- longitudemandatorynumber
- accuracyMetersnumber
- speedMetersPerSecondnumber
- headingDegreesnumber
Response · 200
- idstring · uuidalways
- sourceIdstring · uuidalways
- eventIdstringalways
- vehicleIdstring · uuidalways
- actorIdstring · uuidalways
- sequenceintegeralways
- observedAtstring · date-timealways
- receivedAtstring · date-timealways
- latitudenumberalways
- longitudenumberalways
- accuracyMetersnumber o nullalways
- speedMetersPerSecondnumber o nullalways
- headingDegreesnumber o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/positions" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"sourceId": "…",
"eventId": "…",
"vehicleId": "…",
"observedAt": "…",
"latitude": 0,
"longitude": 0
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sourceId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"eventId": "…",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"actorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"sequence": 1,
"observedAt": "2026-10-21T14:02:31Z",
"receivedAt": "2026-10-21T14:02:31Z",
"latitude": 0,
"longitude": 0,
"accuracyMeters": 50000,
"speedMetersPerSecond": 500,
"headingDegrees": 0
}List company places
https://api.drometra.com/v1/fleet/placesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- array de objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/places" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"items": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"kind": "base",
"coordinate": {
"latitude": 0,
"longitude": 0
},
"radiusMeters": 275,
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}
]
}Create a place
https://api.drometra.com/v1/fleet/placesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
- idempotency-keymandatorystring · uuid
- A new UUID per operation. If you repeat the request with the same key, the change is not applied twice.
Body
- namemandatorystring
- kindmandatoryenum: base | customer | supplier | fuel | other
- coordinatemandatoryobject
- radiusMetersinteger
Response · 201
- idstring · uuidalways
- namestringalways
- kindenum: base | customer | supplier | fuel | otheralways
- objectalways
- radiusMetersintegeralways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/places" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "idempotency-key: $(uuidgen)" \
-H "Content-Type: application/json" \ -d '{
"name": "…",
"kind": "…",
"coordinate": {}
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"kind": "base",
"coordinate": {
"latitude": 0,
"longitude": 0
},
"radiusMeters": 275,
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Update a place
https://api.drometra.com/v1/fleet/places/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- versionmandatoryinteger
- namestring
- kindenum: base | customer | supplier | fuel | other
- radiusMetersinteger
- activeboolean
Response · 200
- idstring · uuidalways
- namestringalways
- kindenum: base | customer | supplier | fuel | otheralways
- objectalways
- radiusMetersintegeralways
- activebooleanalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PATCH "https://api.drometra.com/v1/fleet/places/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"version": 0
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…",
"kind": "base",
"coordinate": {
"latitude": 0,
"longitude": 0
},
"radiusMeters": 275,
"active": true,
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Suggest places
https://api.drometra.com/v1/fleet/places/suggestionsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Reference parameters
- daysinteger
Response · 200
- objectalways
- objectalways
- objectalways
- array de objectalways
- objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/places/suggestions" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"window": {
"from": "…",
"to": "…",
"days": 0,
"timeZone": "…"
},
"rules": {
"places": {
"version": "…",
"cluster": "…",
"frequent": "…",
"known": "…"
},
"trips": {
"version": "…",
"maxAccuracyMeters": 0,
"maxJumpMetersPerSecond": 0,
"stopRadiusMeters": 0,
"minStopSeconds": 0,
"minTripMeters": 0,
"maxGapSeconds": 0,
"stillMetersPerSecond": 0,
"movingMetersPerSecond": 0
}
},
"analyzed": {
"vehicles": 0,
"days": 0,
"stops": 0
},
"items": [
{
"center": {
"latitude": 0,
"longitude": 0
},
"spreadMeters": 0,
"visits": 0,
"days": 0,
"vehicles": 0,
"dwellSeconds": 0,
"usualArrival": "…",
"weekdays": [
4
],
"known": {
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"name": "…"
}
}
],
"heat": {
"rules": {
"version": "…",
"stops": "…",
"cells": "…",
"top": "…"
},
"totalMinutes": 0,
"cells": [
{
"latitude": 0,
"longitude": 0,
"minutes": 0,
"stops": 0,
"days": 0
}
],
"top": [
{
"latitude": 0,
"longitude": 0,
"minutes": 0,
"stops": 0,
"days": 0,
"share": 0.5,
"name": "…"
}
]
}
}Get the fleet schedule
https://api.drometra.com/v1/fleet/scheduleRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- array de object o null o nullalways
- versionintegeralways
- updatedAtstring · date-time o nullalways
- objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/schedule" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"days": [
{
"start": "…",
"end": "…"
}
],
"version": 0,
"updatedAt": "2026-10-21T14:02:31Z",
"rules": {
"version": "…",
"outside": "…",
"suggestion": "…"
}
}Save the fleet schedule
https://api.drometra.com/v1/fleet/scheduleRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- daysmandatoryarray de object o null o null
- versionmandatoryinteger
Response · 200
- array de object o null o nullalways
- versionintegeralways
- updatedAtstring · date-time o nullalways
- objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PUT "https://api.drometra.com/v1/fleet/schedule" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"days": [],
"version": 0
}'{
"days": [
{
"start": "…",
"end": "…"
}
],
"version": 0,
"updatedAt": "2026-10-21T14:02:31Z",
"rules": {
"version": "…",
"outside": "…",
"suggestion": "…"
}
}Suggest a schedule
https://api.drometra.com/v1/fleet/schedule/suggestionRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- objectalways
- objectalways
- objectalways
- array de object o null o nullalways
- array de objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/schedule/suggestion" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"window": {
"from": "…",
"to": "…",
"weeks": 0,
"timeZone": "…"
},
"rules": {
"schedule": {
"version": "…",
"outside": "…",
"suggestion": "…"
},
"trips": {
"version": "…",
"maxAccuracyMeters": 0,
"maxJumpMetersPerSecond": 0,
"stopRadiusMeters": 0,
"minStopSeconds": 0,
"minTripMeters": 0,
"maxGapSeconds": 0,
"stillMetersPerSecond": 0,
"movingMetersPerSecond": 0
}
},
"analyzed": {
"vehicles": 0,
"days": 0,
"trips": 0
},
"days": [
{
"start": "…",
"end": "…"
}
],
"basis": [
{
"weekday": 4,
"weeks": 0,
"earliestDeparture": "…",
"latestArrival": "…"
}
]
}Get maintenance and papers coming due
https://api.drometra.com/v1/fleet/careRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- todaystringalways
- array de objectalways
- array de objectalways
- kmLimitedbooleanalways
- objectalways
- objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/care" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"today": "…",
"vehicles": [
{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"active": true,
"care": {
"technicalReviewUntil": "…",
"circulationPermitUntil": "…",
"soapUntil": "…",
"nextServiceOn": "…",
"serviceDueKm": 1500000,
"odometerKm": 1499999.5,
"odometerAt": "2026-10-21T14:02:31Z",
"fuelKmPerLiter": 25.5,
"fuelPricePerLiter": 2550,
"fuelPriceOn": "…"
},
"version": 0,
"updatedAt": "2026-10-21T14:02:31Z",
"odometer": {
"estimatedKm": 0,
"sinceKm": 0,
"paceKmPerDay": 0,
"leftKm": 0,
"daysLeft": 0,
"text": "…",
"serviceText": "…",
"reminder": "…"
}
}
],
"due": [
{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"item": "technical_review",
"date": "…",
"daysLeft": 0,
"status": "expired",
"km": {
"dueKm": 1500000,
"estimatedKm": 0,
"leftKm": 0
},
"text": "…",
"attention": true
}
],
"kmLimited": true,
"rules": {
"version": "…",
"items": "…",
"soon": "…",
"today": "…"
},
"odometerRules": {
"version": "…",
"reading": "…",
"estimate": "…",
"pace": "…",
"soon": "…"
}
}Save a vehicle's maintenance
https://api.drometra.com/v1/fleet/vehicles/{id}/careRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- technicalReviewUntilmandatorystring o null
- circulationPermitUntilmandatorystring o null
- soapUntilmandatorystring o null
- nextServiceOnmandatorystring o null
- serviceDueKminteger o null
- versionmandatoryinteger
Response · 200
- vehicleIdstring · uuidalways
- labelstringalways
- activebooleanalways
- object o nullalways
- versionintegeralways
- updatedAtstring · date-time o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PUT "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/care" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"technicalReviewUntil": "…",
"circulationPermitUntil": "…",
"soapUntil": "…",
"nextServiceOn": "…",
"version": 0
}'{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"active": true,
"care": {
"technicalReviewUntil": "…",
"circulationPermitUntil": "…",
"soapUntil": "…",
"nextServiceOn": "…",
"serviceDueKm": 1500000,
"odometerKm": 1499999.5,
"odometerAt": "2026-10-21T14:02:31Z",
"fuelKmPerLiter": 25.5,
"fuelPricePerLiter": 2550,
"fuelPriceOn": "…"
},
"version": 0,
"updatedAt": "2026-10-21T14:02:31Z"
}Record the odometer
https://api.drometra.com/v1/fleet/vehicles/{id}/odometerRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- kmmandatoryinteger
Response · 200
- vehicleIdstring · uuidalways
- labelstringalways
- activebooleanalways
- object o nullalways
- versionintegeralways
- updatedAtstring · date-time o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PUT "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/odometer" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"km": 0
}'{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"active": true,
"care": {
"technicalReviewUntil": "…",
"circulationPermitUntil": "…",
"soapUntil": "…",
"nextServiceOn": "…",
"serviceDueKm": 1500000,
"odometerKm": 1499999.5,
"odometerAt": "2026-10-21T14:02:31Z",
"fuelKmPerLiter": 25.5,
"fuelPricePerLiter": 2550,
"fuelPriceOn": "…"
},
"version": 0,
"updatedAt": "2026-10-21T14:02:31Z"
}Record fuel economy and price
https://api.drometra.com/v1/fleet/vehicles/{id}/fuelRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- kmPerLitermandatorynumber o null
- pricePerLitermandatoryinteger o null
Response · 200
- vehicleIdstring · uuidalways
- labelstringalways
- activebooleanalways
- object o nullalways
- versionintegeralways
- updatedAtstring · date-time o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PUT "https://api.drometra.com/v1/fleet/vehicles/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/fuel" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"kmPerLiter": 0,
"pricePerLiter": 0
}'{
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"active": true,
"care": {
"technicalReviewUntil": "…",
"circulationPermitUntil": "…",
"soapUntil": "…",
"nextServiceOn": "…",
"serviceDueKm": 1500000,
"odometerKm": 1499999.5,
"odometerAt": "2026-10-21T14:02:31Z",
"fuelKmPerLiter": 25.5,
"fuelPricePerLiter": 2550,
"fuelPriceOn": "…"
},
"version": 0,
"updatedAt": "2026-10-21T14:02:31Z"
}List fleet documents
https://api.drometra.com/v1/fleet/documentsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- todaystringalways
- objectalways
- array de objectalways
- array de objectalways
- array de objectalways
- array de objectalways
- array de objectalways
- array de objectalways
- array de objectalways
- array de objectalways
- objectalways
- objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/documents" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"today": "…",
"rules": {
"version": "…",
"items": "…",
"soon": "…",
"missing": "…",
"care": "…",
"today": "…"
},
"types": [
{
"key": "…",
"subject": "vehicle",
"name": "…",
"expires": true,
"blocksDispatch": true,
"noticeDays": 90.5,
"renewerActorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"active": true,
"builtin": true,
"version": 0
}
],
"vehicles": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"active": true
}
],
"drivers": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"active": true
}
],
"documents": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"typeKey": "…",
"subject": "vehicle",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"workerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"file": {
"mimeType": "application/pdf",
"sizeBytes": 5242884,
"sha256": "…",
"uploadedAt": "2026-10-21T14:02:31Z"
},
"replacesId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"replacedAt": "2026-10-21T14:02:31Z",
"removedAt": "2026-10-21T14:02:31Z",
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}
],
"slots": [
{
"subject": "vehicle",
"subjectId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"typeKey": "…",
"typeName": "…",
"documentId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"expiresOn": "…",
"status": "expired",
"daysLeft": 0,
"hasFile": true,
"blocksDispatch": true,
"text": "…"
}
],
"due": [
{
"subject": "vehicle",
"subjectId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"typeKey": "…",
"typeName": "…",
"documentId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"expiresOn": "…",
"status": "expired",
"daysLeft": 0,
"hasFile": true,
"blocksDispatch": true,
"text": "…"
}
],
"missing": [
{
"subject": "vehicle",
"subjectId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"typeKey": "…",
"typeName": "…",
"documentId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"expiresOn": "…",
"status": "expired",
"daysLeft": 0,
"hasFile": true,
"blocksDispatch": true,
"text": "…"
}
],
"blocked": [
{
"subject": "vehicle",
"subjectId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"label": "…",
"typeKeys": [
"…"
]
}
],
"counts": {
"expired": 0,
"soon": 0,
"missing": 0,
"valid": 0
},
"storage": {
"usedBytes": 0,
"quotaBytes": 1
}
}Create a document
https://api.drometra.com/v1/fleet/documentsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- typeKeymandatorystring
- vehicleIdmandatorystring · uuid o null
- workerIdmandatorystring · uuid o null
- numbermandatorystring o null
- issuedOnmandatorystring o null
- expiresOnmandatorystring o null
- notesmandatorystring o null
- replacesmandatorystring · uuid o null
Response · 201
- idstring · uuidalways
- typeKeystringalways
- subjectenum: vehicle | driveralways
- vehicleIdstring · uuid o nullalways
- workerIdstring · uuid o nullalways
- numberstring o nullalways
- issuedOnstring o nullalways
- expiresOnstring o nullalways
- notesstring o nullalways
- object o nullalways
- replacesIdstring · uuid o nullalways
- replacedAtstring · date-time o nullalways
- removedAtstring · date-time o nullalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/documents" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"typeKey": "…",
"vehicleId": "…",
"workerId": "…",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"replaces": "…"
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"typeKey": "…",
"subject": "vehicle",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"workerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"file": {
"mimeType": "application/pdf",
"sizeBytes": 5242884,
"sha256": "…",
"uploadedAt": "2026-10-21T14:02:31Z"
},
"replacesId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"replacedAt": "2026-10-21T14:02:31Z",
"removedAt": "2026-10-21T14:02:31Z",
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Update a document
https://api.drometra.com/v1/fleet/documents/{id}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- numbermandatorystring o null
- issuedOnmandatorystring o null
- expiresOnmandatorystring o null
- notesmandatorystring o null
- versionmandatoryinteger
Response · 200
- idstring · uuidalways
- typeKeystringalways
- subjectenum: vehicle | driveralways
- vehicleIdstring · uuid o nullalways
- workerIdstring · uuid o nullalways
- numberstring o nullalways
- issuedOnstring o nullalways
- expiresOnstring o nullalways
- notesstring o nullalways
- object o nullalways
- replacesIdstring · uuid o nullalways
- replacedAtstring · date-time o nullalways
- removedAtstring · date-time o nullalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PATCH "https://api.drometra.com/v1/fleet/documents/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"version": 0
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"typeKey": "…",
"subject": "vehicle",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"workerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"file": {
"mimeType": "application/pdf",
"sizeBytes": 5242884,
"sha256": "…",
"uploadedAt": "2026-10-21T14:02:31Z"
},
"replacesId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"replacedAt": "2026-10-21T14:02:31Z",
"removedAt": "2026-10-21T14:02:31Z",
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Remove a document
https://api.drometra.com/v1/fleet/documents/{id}/removeRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Body
- versionmandatoryinteger
Response · 200
- idstring · uuidalways
- typeKeystringalways
- subjectenum: vehicle | driveralways
- vehicleIdstring · uuid o nullalways
- workerIdstring · uuid o nullalways
- numberstring o nullalways
- issuedOnstring o nullalways
- expiresOnstring o nullalways
- notesstring o nullalways
- object o nullalways
- replacesIdstring · uuid o nullalways
- replacedAtstring · date-time o nullalways
- removedAtstring · date-time o nullalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/documents/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/remove" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"version": 0
}'{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"typeKey": "…",
"subject": "vehicle",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"workerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"file": {
"mimeType": "application/pdf",
"sizeBytes": 5242884,
"sha256": "…",
"uploadedAt": "2026-10-21T14:02:31Z"
},
"replacesId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"replacedAt": "2026-10-21T14:02:31Z",
"removedAt": "2026-10-21T14:02:31Z",
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Get a document's history
https://api.drometra.com/v1/fleet/documents/{id}/historyRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
Response · 200
- array de objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/documents/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/history" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"items": [
{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"typeKey": "…",
"subject": "vehicle",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"workerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"file": {
"mimeType": "application/pdf",
"sizeBytes": 5242884,
"sha256": "…",
"uploadedAt": "2026-10-21T14:02:31Z"
},
"replacesId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"replacedAt": "2026-10-21T14:02:31Z",
"removedAt": "2026-10-21T14:02:31Z",
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}
]
}Download a document's file
https://api.drometra.com/v1/fleet/documents/{id}/fileRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/fleet/documents/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/file" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"(application/pdf)Upload a document's file
https://api.drometra.com/v1/fleet/documents/{id}/fileRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- idmandatorystring · uuid
- e. g. 0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d
The body is the file, with Content-Type: application/pdf.
Response · 200
- idstring · uuidalways
- typeKeystringalways
- subjectenum: vehicle | driveralways
- vehicleIdstring · uuid o nullalways
- workerIdstring · uuid o nullalways
- numberstring o nullalways
- issuedOnstring o nullalways
- expiresOnstring o nullalways
- notesstring o nullalways
- object o nullalways
- replacesIdstring · uuid o nullalways
- replacedAtstring · date-time o nullalways
- removedAtstring · date-time o nullalways
- versionintegeralways
- createdAtstring · date-timealways
- updatedAtstring · date-timealways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PUT "https://api.drometra.com/v1/fleet/documents/0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d/file" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/pdf" \ --data-binary @archivo{
"id": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"typeKey": "…",
"subject": "vehicle",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"workerId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"number": "…",
"issuedOn": "…",
"expiresOn": "…",
"notes": "…",
"file": {
"mimeType": "application/pdf",
"sizeBytes": 5242884,
"sha256": "…",
"uploadedAt": "2026-10-21T14:02:31Z"
},
"replacesId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"replacedAt": "2026-10-21T14:02:31Z",
"removedAt": "2026-10-21T14:02:31Z",
"version": 1,
"createdAt": "2026-10-21T14:02:31Z",
"updatedAt": "2026-10-21T14:02:31Z"
}Create a document type
https://api.drometra.com/v1/fleet/document-typesRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- subjectmandatoryenum: vehicle | driver
- namemandatorystring
- expiresmandatoryboolean
- blocksDispatchmandatoryboolean
- noticeDaysmandatoryinteger
- renewerActorIdmandatorystring · uuid o null
- activemandatoryboolean
Response · 201
- keystringalways
- subjectenum: vehicle | driveralways
- namestringalways
- expiresbooleanalways
- blocksDispatchbooleanalways
- noticeDaysintegeralways
- renewerActorIdstring · uuid o nullalways
- activebooleanalways
- builtinbooleanalways
- versionintegeralways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/fleet/document-types" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"subject": "…",
"name": "…",
"expires": true,
"blocksDispatch": true,
"noticeDays": 0,
"renewerActorId": "…",
"active": true
}'{
"key": "…",
"subject": "vehicle",
"name": "…",
"expires": true,
"blocksDispatch": true,
"noticeDays": 90.5,
"renewerActorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"active": true,
"builtin": true,
"version": 0
}Save a document type
https://api.drometra.com/v1/fleet/document-types/{key}Requires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Road parameters
- keymandatorystring
Body
- namestring
- blocksDispatchmandatoryboolean
- noticeDaysmandatoryinteger
- renewerActorIdmandatorystring · uuid o null
- activemandatoryboolean
- versionmandatoryinteger
Response · 200
- keystringalways
- subjectenum: vehicle | driveralways
- namestringalways
- expiresbooleanalways
- blocksDispatchbooleanalways
- noticeDaysintegeralways
- renewerActorIdstring · uuid o nullalways
- activebooleanalways
- builtinbooleanalways
- versionintegeralways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X PUT "https://api.drometra.com/v1/fleet/document-types/<key>" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"blocksDispatch": true,
"noticeDays": 0,
"renewerActorId": "…",
"active": true,
"version": 0
}'{
"key": "…",
"subject": "vehicle",
"name": "…",
"expires": true,
"blocksDispatch": true,
"noticeDays": 90.5,
"renewerActorId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"active": true,
"builtin": true,
"version": 0
}